Summary: Module utilities and kerneld
Name: modutils
Version: 2.1.121
Release: 1_C4
Copyright: GPL
Group: Utilities/System
Source0: ftp://ftp.redhat.com/pub/alphabits/modutils-2.1.121.tar.gz
Source1: conf.modules
Patch0: modutils-2.1.121.depmod-fix.diff
ExclusiveOS: Linux
BuildRoot: /tmp/modutils

%changelog
 * Mon Aug 09 1999 Tim Hockin <thockin@cobaltnet.com>
   - Changed char-major-[45] aliases to use pciserial, rather than serial

 * Wed Jul 07 1999 Tim Hockin <thockin@cobaltnet.com>
   - Fixed a bug in %pre install script

 * Tue Jun 29 1999 Tim Hockin <thockin@cobaltnet.com>
   - Added %changelog section to .spec file
   - Added default conf.modules to this package
   - Added %pre and %post sections to try to be smart about conf.modules
   - Previously fixed a bug that caused depmod to fail (#ident ...)

%description
The Linux kernel allows new kernel pieces to be loaded and old ones to
be unloaded while the kernel continues to run. These loadable piecs
are called modules, and can include device drivers and filesystems among
other things. This package includes program to load and unload programs
both automatically and manually.

%prep
%setup
%patch0 -p1

%build
./configure
make dep all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man2
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
make install prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT
cd kerneld
make install-scripts prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT
install -o root -g root -m 644 $RPM_SOURCE_DIR/conf.modules $RPM_BUILD_ROOT/etc

%pre
if [ -f /etc/conf.modules ]; then 
	cp -f /etc/conf.modules /etc/conf.modules.orig
fi

%post
if [ -f /etc/conf.modules.orig ]; then
	# combine, filter dups and recreate
	cat /etc/conf.modules.orig /etc/conf.modules 	\
		| sed 's/[ 	]\+/ /g' 		\
		| sort 					\
		| uniq					\
		> /etc/conf.modules
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config /etc/conf.modules
/sbin/depmod
/sbin/genksyms
/sbin/insmod
/sbin/kerneld
/sbin/ksyms
/sbin/lsmod
/sbin/modprobe
/sbin/rmmod
/sbin/modinfo
/sbin/request-route
/usr/man/man1/depmod.1
/usr/man/man1/insmod.1
/usr/man/man1/ksyms.1
/usr/man/man1/lsmod.1
/usr/man/man1/modinfo.1
/usr/man/man1/modprobe.1
/usr/man/man1/rmmod.1
#/usr/man/man2/create_module.2
#/usr/man/man2/delete_module.2
#/usr/man/man2/get_kernel_syms.2
#/usr/man/man2/init_module.2
#/usr/man/man2/query_module.2
/usr/man/man8/genksyms.8
/usr/man/man8/kerneld.8
